get.cocor.results {cocor} | R Documentation

## Get result parameters of a cocor result object

### Description

Returns result parameters of a cocor result object of class 'cocor.indep.groups', 'cocor.dep.groups.overlap', or 'cocor.dep.groups.nonoverlap' as a list with each slot representing a list element.

### Usage

    get.cocor.results(result.object, test = "all")

    ## S4 method for signature 'cocor'
    get.cocor.results(result.object, test = "all")

### Arguments

`result.object` | A cocor result object of class 'cocor.indep.groups', 'cocor.dep.groups.overlap', or 'cocor.dep.groups.nonoverlap'.
`test` | A vector of character strings specifying the tests to be returned (e.g., `pearson1898`, `dunn1969`...). Use `all` to return the results of all tests (default).

### Value

Returns a list containing all result parameters as list elements:

`diff` | Difference between the two correlations that were compared.
`statistic` | The value of the test statistic (unless test zou2007 is used).
`distribution` | The distribution of the test statistic (unless test zou2007 is used).
`df` | The degrees of freedom of the distribution of the test statistic (only for result objects of class 'cocor.dep.groups.overlap' if test hotelling1940, hendrickson1970, or williams1959 is used).
`p.value` | The p-value of the test (unless test zou2007 is used).
`conf.int` | The confidence interval of the difference between the two correlations (if test zou2007 is used).

### See Also

get.cocor.input, cocor, cocor.indep.groups, cocor.dep.groups.overlap, cocor.dep.groups.nonoverlap

### Examples

    data("aptitude")

    cocor.result <- cocor(~knowledge + intelligence.a | logic + intelligence.a,
          aptitude$sample1)
    get.cocor.results(cocor.result)

[Package cocor version 1.1-3 Index]